Invoke Skill Reports Due Diligence Prepare
post
/api/v1/skills/reports.due-diligence.prepare/invokePrepare an M&A due-diligence / quality-of-earnings report.
Request bodyapplication/json
| Field | Type | Description |
|---|---|---|
client_idrequired | string (uuid) | β |
target_entityrequired | string | β |
deal_type | "acquisition" | "merger" | "investment" | βacquisitionmergerinvestment |
file_ids | string (uuid)[] | β |
sections | "qoe" | "working_capital" | "debt_like" | "tax_exposures" | "customer_concentration" | "revenue_quality" | "key_dependencies" | "red_flags"[] | β |
period | string | null | β |
Responses
200Skill executed successfully
| Field | Type | Description | |||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
skillrequired | string | β | |||||||||||||||||||||||||||||||||||||||
outputrequired | object | βshow nested
| |||||||||||||||||||||||||||||||||||||||
correlation_idrequired | string | β |
401Authentication required
| Field | Type | Description | ||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errorrequired | object | βshow nested
|
403Insufficient permissions
| Field | Type | Description | ||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errorrequired | object | βshow nested
|
404Skill not found
| Field | Type | Description | ||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errorrequired | object | βshow nested
|
429Rate limit exceeded
| Field | Type | Description | ||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errorrequired | object | βshow nested
|
5XXInternal server error
| Field | Type | Description | ||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errorrequired | object | βshow nested
|
curl https://api.dev.arch.ie/api/v1/skills/reports.due-diligence.prepare/invoke \
-X POST \
-H "Authorization: Bearer sk_..." \
-H "Content-Type: application/json" \
-d '{
"client_id": "00000000-0000-0000-0000-000000000000",
"target_entity": "string",
"deal_type": "acquisition",
"file_ids": [
"00000000-0000-0000-0000-000000000000"
],
"sections": [
"qoe"
],
"period": null
}'